## DEBMAKER
The main goal of this project is allow to create application from source without install compilation utility directly on the main system.
Compilation environnements are stores in temporary files.
All package are install with chroot environnement.

### Usage

To create deb file you just need to run the bellow command :

```bash
. ressources/joplin/joplin
debmaker_run
```
This commande create joplin and joplin-server packages

### Debug

To enter in temporary filesystem

```bash
debmaker_chroot cache/joplin
```

### packages available in shared repository

  - [adguardhome](#adguardhome) ([site](https://adguard.com/fr/adguard-home/overview.html))
  - [authelia](#authelia) ([site](https://www.authelia.com/))
  - [element-web](#element-web) ([site](https://element.io/))
  - [gotify](#gotify) ([site](https://gotify.net/))
  - [grocy](#grocy) ([site](https://grocy.info/))
  - [joplin desktop](#joplin) ([site](https://joplinapp.org/))
  - [joplin-server](#joplin-server) ([site](https://joplinapp.org/))
  - [mautrix-syncproxy and mautrix-wsproxy](#mautrix-syncproxy-and-mautrix-wsproxy) ([site](https://docs.mau.fi/bridges/go/imessage/android/setup.html))
  - [metabase](#metabase)  ([site](https://www.metabase.com/))
  - [rss-bridge](#rss-bridge) ([site](https://github.com/rss-bridge/rss-bridge))
  - [tt-rss](#tt-rss) ([site](https://tt-rss.org/))
  - [vaultwarden and vaultwarden-web](#vaultwarden-and-vaultwarden-web) ([site](https://github.com/dani-garcia/vaultwarden))
  - [wallabag](#wallabag) ([site](https://www.wallabag.it/))
  - [zigbee2mqtt](#zigbee2mqtt) ([site](https://www.zigbee2mqtt.io/))

#### adguardhome
```bash
apt install -y wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt-get install -y adguardhome

systemctl enable --now adguardhome

#configuration with http://<ip>:3000
```

#### authelia
```bash
apt install -y wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt-get install -y authelia

#Edit /etc/authelia/configuration.yml

systemctl enable --now authelia
```

#### element-web

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install element-web

# sample configuration for apache2

cp /usr/share/doc/element-web/apache2-element-web.conf /etc/apache2/sites-available/element-web.conf
a2ensite element-web

# edit /etc/apache2/sites-available/element-web.conf
# edit /etc/element-web/config.json

systemctl restart apache2
```

#### gotify

```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt-get install -y gotify-server

#Edit /etc/gotify/config.yml

systemctl enable --now gotify
```

#### grocy

```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt-get install -y grocy

#Edit /etc/grocy/config.php

# sample configuration for apache2 + php fpm
apt install apache2 php-fpm
a2enmod proxy_fcgi setenvif rewrite
a2enconf php8.1-fpm
cp /usr/share/doc/grocy/apache2-grocy.conf /etc/apache2/sites-available/grocy.conf
a2ensite grocy
systemctl restart apache2
```

#### joplin

```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash

apt-get install -y joplin

```

#### joplin-server

```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
wget -qO - https://deb.nodesource.com/setup_16.x | bash
apt-get update
apt-get install -y joplin-server

#Edit /etc/default/joplin-server

systemctl enable --now joplin-server
```

#### mautrix-syncproxy and mautrix-wsproxy
```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt-get install -y mautrix-syncproxy mautrix-wsproxy

#Edit /etc/mautrix-wsproxy.yaml and /etc/default/mautrix-syncproxy

systemctl enable --now mautrix-wsproxy mautrix-syncproxy
```
#### metabase

```bash
apt install -y python wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt-get install -y metabase openjdk-17-jre

systemctl enable --now metabase
```

#### rss-bridge

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install rss-bridge

# sample configuration for apache2

apt install libapache2-mod-php
cp /usr/share/doc/rss-bridge/apache2-rss-bridge.conf /etc/apache2/site-available/rss-bridge.conf
a2ensite rss-bridge

# edit /etc/apache2/site-available/rss-bridge.conf

systemctl restart apache2
```

#### tt-rss
```bash
apt install -y  wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get update
apt-get install -y tt-rss

#Edit /etc/tt-rss/config.php
systemctl enable --now tt-rss

# sample configuration for apache2 + php fpm
apt install apache2 php-fpm
a2enmod proxy_fcgi setenvif 
a2enconf php7.4-fpm
cp /usr/share/doc/grocy/apache2-tt-rss.conf /etc/apache2/sites-available/tt-rss.conf
#edit /etc/apache2/sites-available/tt-rss.conf
a2ensite tt-rss
systemctl restart apache2
```

#### vaultwarden and vaultwarden-web

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install vaultwarden vaultwarden-web

#Edit /etc/default/vaultwarden

systemctl enable --now vaultwarden
```

#### wallabag

```bash
wget -qO - https://deb.lgy.fr/install.sh | bash
apt install wallabag

# sample configuration for apache2

apt install libapache2-mod-php
cp /usr/share/doc/rss-bridge/apache2-wallabag.conf /etc/apache2/site-available/wallabag.conf
a2ensite wallabag

# edit /etc/apache2/site-available/wallabag.conf

systemctl restart apache2
```

#### zigbee2mqtt

```bash
apt install -y wget ca-certificates
wget -qO - https://deb.lgy.fr/install.sh | bash
apt-get install -y zigbee2mqtt

#Edit /etc/zigbee2mqtt/configuration.yaml

systemctl enable --now zigbee2mqtt
```
